Package org.drinkless.tdlib

# Class TdApi.MessageDirectMessagePriceChanged

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.MessageContent
org.drinkless.tdlib.TdApi.MessageDirectMessagePriceChanged

Enclosing class:
  `TdApi`

public static class TdApi.MessageDirectMessagePriceChanged extends TdApi.MessageContent
A price for direct messages was changed in the channel chat.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.MessageContent

  `TdApi.MessageContent.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `isEnabled`
  True, if direct messages group was enabled for the channel; false otherwise.
  `long`
  `paidMessageStarCount`
  The new number of Telegram Stars that must be paid by non-administrator users of the channel chat for each message sent to the direct messages group; 0 if the direct messages group was disabled or the messages are free.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MessageDirectMessagePriceChanged()`
  A price for direct messages was changed in the channel chat.
  `MessageDirectMessagePriceChanged(boolean isEnabled, long paidMessageStarCount)`
  A price for direct messages was changed in the channel chat.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### isEnabled

    public boolean isEnabled
    True, if direct messages group was enabled for the channel; false otherwise.

  - ### paidMessageStarCount

    public long paidMessageStarCount
    The new number of Telegram Stars that must be paid by non-administrator users of the channel chat for each message sent to the direct messages group; 0 if the direct messages group was disabled or the messages are free.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### MessageDirectMessagePriceChanged

    public MessageDirectMessagePriceChanged()
    A price for direct messages was changed in the channel chat.

  - ### MessageDirectMessagePriceChanged

    public MessageDirectMessagePriceChanged(boolean isEnabled, long paidMessageStarCount)
    A price for direct messages was changed in the channel chat.
    Parameters:
      `isEnabled` - True, if direct messages group was enabled for the channel; false otherwise.
      `paidMessageStarCount` - The new number of Telegram Stars that must be paid by non-administrator users of the channel chat for each message sent to the direct messages group; 0 if the direct messages group was disabled or the messages are free.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.MessageContent`
    Returns:
      this.CONSTRUCTOR